%define majver %(echo %version | cut -d. -f1-2)
Name:          libgxps
Version:       0.3.2
Release:       1mamba
Summary:       A GObject based library for handling and rendering XPS documents
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/libgxps
Source:        http://ftp.gnome.org/pub/gnome/sources/libgxps/%{majver}/libgxps-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libarchive-devel
BuildRequires: libattr-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libffi-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: liblzma-devel
BuildRequires: liblzo-devel
BuildRequires: libnettle-devel
BuildRequires: libpng15-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libtiff-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
libgxps is a GObject based library for handling and rendering XPS documents.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Publishing
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgxps.so.*
%{_libdir}/girepository-1.0/GXPS-0.1.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgxps/
%{_includedir}/libgxps/*.h
#%{_libdir}/libgxps.a
#%{_libdir}/libgxps.la
%{_libdir}/libgxps.so
%{_libdir}/pkgconfig/libgxps.pc
%{_datadir}/gir-1.0/GXPS-0.1.gir
%doc NEWS README TODO

%files tools
%defattr(-,root,root)
%{_bindir}/xpstojpeg
%{_bindir}/xpstopdf
%{_bindir}/xpstopng
%{_bindir}/xpstops
%{_bindir}/xpstosvg

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/libgxps
#%{_datadir}/gtk-doc/html/libgxps/*

%changelog
* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Sat Jan 05 2019 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Fri Jul 07 2017 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Tue Jun 21 2016 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Mon Sep 07 2015 Automatic Build System <autodist@mambasoft.it> 0.2.3.2-1mamba
- automatic update by autodist

* Mon Aug 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- package created by silvan using the webbuild interface
